Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface ICapabilityInstallWizard

All Superinterfaces:
  IWizard

public interface ICapabilityInstallWizard
extends IWizard

Interface for project capability install wizard. The wizard is responsible for collecting any necessary information from the user.

The install wizard must only add natures that represent the capability and any capabilities it handles the UI for. The install wizard must handle the situation where some or all of the required capabilites are already installed.

The `IProject` passed in the init method will exist and can be queried for the existance of other natures. The install wizard must not close nor delete the project passed in the init method. The install wizard must not rename the project passed in the init method.

The install wizard can change the location of the project if required, but must inform the user of this action.

Clients should implement this interface and include the name of their class in an extension contributed to the workbench's capabilities wizard extension point (named `"org.eclipse.ui.capabilities"`).

NOTE: This is experimental API, which may be changed or removed at any point in time. This API should not be called, overridden or otherwise used in production code.

Since:
  2.0
See Also:
  `IWizard`, `ICapabilityUninstallWizard`

Method Summary
`void` | `init(IWorkbench workbench, IStructuredSelection selection, IProject project)` Initializes this capability wizard using the passed workbench, object selection, and project.

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, performFinish, setContainer`

Method Detail

### init

    public void init(IWorkbench workbench,
                     IStructuredSelection selection,
                     IProject project)

  Initializes this capability wizard using the passed workbench, object selection, and project.

  This method is called after the no argument constructor and before other methods are called.

  Parameters:
    `workbench` - the current workbench
    `selection` - the current object selection
    `project` - the project to configure with a capability

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.